GDB (xrefs)

Public Member Functions | Private Attributes | List of all members
process_die_scope Class Reference

## Public Member Functions
| process_die_scope (die_info *die, dwarf2_cu *cu)
| ~process_die_scope ()

## Private Attributes
die_info * | m_die
dwarf2_cu * | m_cu

## Detailed Description

Definition at line 10579 of file dwarf2read.c.

## Constructor & Destructor Documentation

## ◆ process_die_scope()

process_die_scope::process_die_scope | ( | die_info * | die,
|  | dwarf2_cu * | cu
| ) |  |
| inline

Definition at line 10582 of file dwarf2read.c.

References gdb_assert, die_info::in_process, and m_die.

## ◆ ~process_die_scope()

process_die_scope::~process_die_scope | ( |  | ) |
| inline

Definition at line 10590 of file dwarf2read.c.

References die_info::in_process, dwarf2_cu::line_header, dwarf2_cu::line_header_die_owner, m_cu, and m_die.

## Member Data Documentation

## ◆ m_cu

dwarf2_cu* process_die_scope::m_cu
| private

Definition at line 10606 of file dwarf2read.c.

Referenced by ~process_die_scope().

## ◆ m_die

die_info* process_die_scope::m_die
| private

Definition at line 10605 of file dwarf2read.c.

Referenced by process_die_scope(), and ~process_die_scope().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/dwarf2read.c